#include "main.h"

void main () {

	int	isReconnect = FALSE,
		isStatic = FALSE,
		fd;

	char	device[12],
		number[12],
		username[30],
		password[12],
		reconnectDelay[4],
		reconnectTimes[4],
		IP[12];	

	// initialize ncurses stuff
	initscr();
	cbreak();

	clear();
	refresh();

	printf ("PPPconfig (Copyright 1999)\n(http://www.erudition.net/PPPconfig/)\nUser PPP configuration tool for FreeBSD.\n\n\n");

	setOptions		();
	setType	 		( &isStatic, IP );
	setDevice		( device );
	setNumber		( number );
	setUser			( username );
	setPass			( password );
	setReconnect	( &isReconnect, reconnectDelay, reconnectTimes );

	clear();
	refresh();

	fd = setConfig ();
	writeConfig ( isStatic, IP, fd, device, number, username, password, isReconnect, reconnectDelay, reconnectTimes );

	printf ("\nConfiguration successful!");
	printf ("\nTo run ppp in:");
	printf ("\n\tBackground mode, type: \"ppp -background connect\"");
	printf ("\n\tDial on Demand mode, type: \"ppp -auto connect\"");
	printf ("\n\tDedicated Dial mode, type: \"ppp -ddial connect\"\n");
	printf ("\nDedicated Dial mode is recommended for users who configured");
	printf ("\nppp to redial if connexion/carrier is lost.\n\n");
}
