#include "main.h"

#define VARIABLE 0
#define VALUE 1

void setOptions () {
	
	FILE	*fp;
	int	line, i;
	char	buffer[100], parameter[10][3][MAXVALUE];

	// try to open options config file
	if ((fp = fopen (OPTIONSCONFIG, "r")) != NULL) {

		printf("Reading PPPconfig options (%s)...", OPTIONSCONFIG);
		
		// read file contents
		line = 0;
		while ( fgets (buffer, 100, fp) != NULL ) {

			if (buffer[0] != '#' && buffer[0] != '\n' && buffer[0] != ' ') {
				strncpy (parameter[line][0], strtok (buffer, "="), MAXVALUE);
				strncpy (parameter[line][1], strtok (NULL, "="), MAXVALUE);
				line++;
			}
		}

		printf("done\n");

		// examine options, and execute specific tasks when certain options
		// are set
		for (i = 0; i < line; i++) {

			// set ppp config file
			if (strncmp(parameter[i][0], "PPP_CONF_NEW", MAXVALUE) == 0) {
				strncpy (CONFIG, parameter[i][1], MAXVALUE);
				// have to hack \n off because it gets copied from file
				strncpy (CONFIG, strtok (CONFIG, "\n"), MAXVALUE);
			}
			
			// set old ppp config file
			if (strncmp(parameter[i][0], "PPP_CONF_OLD", MAXVALUE) == 0) {
				strncpy (CONFIGOLD, parameter[i][1], MAXVALUE);
				// have to hack \n off because it gets copied from file
				strncpy (CONFIGOLD, strtok (CONFIGOLD, "\n"), MAXVALUE);
			}

			// set dial script
			if (strncmp(parameter[i][0], "SCRIPT", MAXVALUE) == 0) {
				strncpy (SCRIPT, parameter[i][1], MAXVALUE);
				// have to hack \n off because it gets copied from file
				strncpy (SCRIPT, strtok (SCRIPT, "\n"), MAXVALUE);
			}

		}

	}
	else {
		printf("\nOptions file does not exist!\nYou must install the options file for PPPconfig to execute properly.\n\n"); exit( EX_NOINPUT );

	}
}
