#include <sys/types.h>
#include <sys/uio.h>
#include <sys/stat.h>
#include <sysexits.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <fcntl.h>
#include <errno.h>
#include <unistd.h>
#include <string.h>
#include <ncurses.h>

#define OPTIONSCONFIG "/usr/local/etc/PPPconfig.conf"

// maximum size of values in OPTIONSCONFIG file
#define MAXVALUE 100

char	CONFIG[MAXVALUE],
	CONFIGOLD[MAXVALUE],
	SCRIPT[MAXVALUE];

void setOptions		();
void setType		( int *isStatic, char *IP );
void setDevice		( char device[12]);
void setNumber		( char number[12]);
void setUser		( char username[17]);
void setPass		( char password[12]);
void setReconnect	( int *isReconnect, char reconnectDelay[4], char reconnectTimes[4] );
int setConfig		();
void writeConfig	( int isStatic, char *IP, int fd, char *device, char *number, char *username, char *password, int isReconnect, char *reconnectDelay, char *reconnectTimes );
